## org.mortbay.util
Class LoggerLogSink

    java.lang.Object
      |
      +--org.mortbay.util.LoggerLogSink

All Implemented Interfaces:
  LifeCycle, LogSink, java.io.Serializable

public class LoggerLogSink
extends java.lang.Object
implements LogSink

JDK 1.4 Logger LogSink This implementation of LogSink can be used to direct messages to the JDK 1.4 log mechanism.

Version:
  $Id: LoggerLogSink.java,v 1.1 2003/05/02 12:53:48 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`LoggerLogSink()` Constructor.
`LoggerLogSink(java.lang.String name)` Constructor.

Method Summary
`java.util.logging.Logger` `getLogger()`
`java.lang.String` `getName()`
`java.lang.String` `getOptions()`
`boolean` `isStarted()`
`void` `log(java.lang.String formattedLog)` Log a message.
`void` `log(java.lang.String tag, java.lang.Object msg, Frame frame, long time)` Log a message.
`void` `setLogger(java.util.logging.Logger logger)`
`void` `setName(java.lang.String name)`
`void` `setOptions(java.lang.String options)` Set the log options.
`void` `start()` Start the LifeCycle.
`void` `stop()` Stop the LifeCycle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerLogSink

    public LoggerLogSink()

  Constructor.

### LoggerLogSink

    public LoggerLogSink(java.lang.String name)

  Constructor.

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLogger

    public java.util.logging.Logger getLogger()

### setLogger

    public void setLogger(java.util.logging.Logger logger)

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `LifeCycle`
  Start the LifeCycle.

  Specified by:
    `start` in interface `LifeCycle`
  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### stop

    public void stop()
              throws java.lang.InterruptedException

  Description copied from interface: `LifeCycle`
  Stop the LifeCycle. The LifeCycle may wait for current activities to complete normally, but it can be interrupted.

  Specified by:
    `stop` in interface `LifeCycle`
  Throws:
    `java.lang.InterruptedException` - Stopping a lifecycle is rarely atomic and may be interrupted by another thread. If this happens InterruptedException is throw and the component will be in an indeterminant state and should probably be discarded.

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifeCycle`
  Returns:
    True if the LifeCycle has been started.

### setOptions

    public void setOptions(java.lang.String options)

  Description copied from interface: `LogSink`
  Set the log options.

  Specified by:
    `setOptions` in interface `LogSink`
  Parameters:
    `options` - A string of characters as defined for the LOG_OPTIONS system parameter.

### getOptions

    public java.lang.String getOptions()

  Specified by:
    `getOptions` in interface `LogSink`

### log

    public void log(java.lang.String tag,
                    java.lang.Object msg,
                    Frame frame,
                    long time)

  Description copied from interface: `LogSink`
  Log a message. This method formats the log information as a string and calls log(String). It should only be specialized by a derived implementation if the format of the logged messages is to be changed.

  Specified by:
    `log` in interface `LogSink`
  Parameters:
    `tag` - Tag for type of log
    `msg` - The message
    `frame` - The frame that generated the message.
    `time` - The time stamp of the message.

### log

    public void log(java.lang.String formattedLog)

  Description copied from interface: `LogSink`
  Log a message. The formatted log string is written to the log sink. The default implementation writes the message to a PrintWriter.

  Specified by:
    `log` in interface `LogSink`
  Parameters:
    `formattedLog` -

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.